<p>{{ user | json }}</p>

<form novalidate #loginForm="ngForm" (ngSubmit)="onSubmit()">

  <mat-dialog-content>
    <p>
      <mat-form-field>
        <input matInput placeholder="Username" type="text" [(ngModel)]="user.username" name="username"
          #username="ngModel" required>
        <mat-error *ngIf="username.errors?.required">Username is required</mat-error>
      </mat-form-field>
      <mat-form-field>
        <input matInput placeholder="Password" type="password" [(ngModel)]="user.password" name="password"
          #password="ngModel" required>
        <mat-error *ngIf="password.errors?.required">Password is required</mat-error>
      </mat-form-field>
    </p>
  </mat-dialog-content>
  <mat-dialog-actions>
    <span class="flex-spacer"></span>
    <button mat-button mat-dialog-close>Cancel</button>
    <button type="submit" mat-button class="background-primary text-floral-white"
      [disabled]="loginForm.form.invalid">Login</button>
  </mat-dialog-actions>
</form>
